#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-kwayland
Version		:	6.1.3
Release		:	17.0.10.rel%{?dist}
Summary		:	KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/KDE/kwayland

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	appstream
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	mesa-devel
BuildRequires	:	plasma-wayland-protocols-devel	>= 1.13.0
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtbase-gui
BuildRequires	:	qt6-qtbase-static
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtwayland-devel
BuildRequires	:	wayland
BuildRequires	:	wayland-protocols

#-----------------------------------------------------------------------------
%description
As the names suggest they implement a Client respectively a Server
API for the Wayland protocol. The API is Qt-styled removing the needs
to interact with a for a Qt developer uncomfortable low-level C-API.
For example the callback mechanism from the Wayland API is replaced
by signals; data types are adjusted to be what a Qt developer expects, e.g.
two arguments of int are represented by a QPoint or a QSize.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_libdir}/libKWaylandClient.so.6
%{_libdir}/libKWaylandClient.so.%{version}
%{_datadir}/qlogging-categories6/*categories

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_includedir}/KWayland/
%{_libdir}/cmake/KWayland/
%{_libdir}/libKWaylandClient.so
%{_libdir}/pkgconfig/KWaylandClient.pc
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

#-----------------------------------------------------------------------------
%changelog
